QGIS Application - Bug report #15572

Some WMS service are displayed as empties because of bad SRS and view scale interpretation
(msWMSLoadGetMapParams(): WMS server error. Unsupported SRS namespace (only EPSG and
AUTO currently supported).)

2016-09-16 07:35 AM - geo julien

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.8.9 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23496
Description

Working on our plugin, | encountered this strange behavior: a WMS layer is displayed in the layers list with its legend but there is nothing

in the map canvas.

To reproduce:

1. open WMS client and add this WMS url: http://ws.carmencarto.fr/WMS/105/ONF_Forets
2. when you press the "Connect" button, the list is displayed

3. selecting the layer "Parcelles_Forestieres" the "Add" button is disabled and status bar displays "No CRS selected"
4. select another layer and select back the layer, now "Add" button is enabled and CRS Lambert RGF93 (EPSG:2154) is set

5. clicking "Add" produces an empty mapcanvas but a legend present because the minimum scale visibility is not read from the server

=> there are messages in the log window, WMS tab (see screenshot)
Notice that:
- the others layers from the same WMS service are okay (I unchecked on the screenshot but you can try)

StackTrace:

2016-09-16T15:12:40 1 Erreur de requéte de carte (Statut : 200; Réponse :

<IDOCTYPE ServiceExceptionReport SYSTEM "http.//schemas.opengis.net/wms/1.1.1/exception_1_1_1.dtd">
<ServiceExceptionReport version="1.1.1">

<ServiceException code="InvalidSRS">

msWMSLoadGetMapParams(): WMS server error. Unsupported SRS namespace (only EPSG and AUTO currently supported).
</ServiceException>

</ServiceExceptionReport>

; Type : application/vnd.ogc.se_xml; charset=ISO-8859-1; URL :

http.//ws.carmencarto.fr/WMS/105/ONF _Forets ?language=fre&#38,8#38;SERVICE=WMS&#38;VERSION=1.1.18&#38,REQUEST

GetMap&#38;BBOX=-5.58549999999999969,40.92079999999999984, 10.75499999999999901,51.44619999999999749&#38;SRS

=CRS:

S=CRS.84&#38;,WIDTH=916&#38,HEIGHT=590&#38;LAYERS=Parcelles Forestieres&#38,STYLES=&#38,FORMAT=image/jpegé

#38,DI

&#38,DPI=96&#38;MAP_RESOLUTION=96&#38,FORMAT_OPTIONS=dpi:96)

Spotted on:

- QGIS 2.8.9 on Win10 AU (with OSGeo4W) in French
- and QGIS 2.14.6 on Win10 AU (with OSGeo4W) in English.

Related to
https://github.com/isogeo/isogeo-plugin-qgis
http://ws.carmencarto.fr/WMS/105/ONF_Forets
http://ws.carmencarto.fr/WMS/105/ONF_Forets?language=fre&#38;&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-5.58549999999999969,40.92079999999999984,10.75499999999999901,51.44619999999999749&#38;SRS=CRS:84&#38;WIDTH=916&#38;HEIGHT=590&#38;LAYERS=Parcelles_Forestieres&#38;STYLES=&#38;FORMAT=image/jpeg&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORMAT_OPTIONS=dpi:96
http://ws.carmencarto.fr/WMS/105/ONF_Forets?language=fre&#38;&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-5.58549999999999969,40.92079999999999984,10.75499999999999901,51.44619999999999749&#38;SRS=CRS:84&#38;WIDTH=916&#38;HEIGHT=590&#38;LAYERS=Parcelles_Forestieres&#38;STYLES=&#38;FORMAT=image/jpeg&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORMAT_OPTIONS=dpi:96
http://ws.carmencarto.fr/WMS/105/ONF_Forets?language=fre&#38;&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-5.58549999999999969,40.92079999999999984,10.75499999999999901,51.44619999999999749&#38;SRS=CRS:84&#38;WIDTH=916&#38;HEIGHT=590&#38;LAYERS=Parcelles_Forestieres&#38;STYLES=&#38;FORMAT=image/jpeg&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORMAT_OPTIONS=dpi:96
http://ws.carmencarto.fr/WMS/105/ONF_Forets?language=fre&#38;&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-5.58549999999999969,40.92079999999999984,10.75499999999999901,51.44619999999999749&#38;SRS=CRS:84&#38;WIDTH=916&#38;HEIGHT=590&#38;LAYERS=Parcelles_Forestieres&#38;STYLES=&#38;FORMAT=image/jpeg&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORMAT_OPTIONS=dpi:96

| looked into the issues archives but | just found out this very old issue: #1166.

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

qgis_wms_no_CRSselected.PNG 29.6 KB 2016-09-16 geo julien
qgis_wms_no_CRSok.PNG 31.4 KB 2016-09-16 geo julien
qgis_wms_nthing_mapcanvas.PNG 104 KB 2016-09-16 geo julien
qgis_wms_scale_ok.PNG 321 KB 2016-09-16 geo julien
